package hibernate.test;

import junit.framework.TestCase;

import javax.persistence.EntityManager;
import javax.persistence.Persistence;
import javax.persistence.EntityTransaction;
import javax.persistence.Query;
import javax.persistence.TypedQuery;

import org.jboss.logging.Logger;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import hibernate.test.entity.annotation.Employee;


public class EntityManagerTest {
	
	private EntityManager em;

	private static Logger logger = Logger.getLogger(EntityManagerTest.class.getName());
	
	@SuppressWarnings("deprecation")
	@Before
	public void setUp() throws Exception {
		logger.info("***** HIBERNATE VERSION: " + org.hibernate.Version.getVersionString());
		em = Persistence.createEntityManagerFactory("default").createEntityManager();
	}
	
	@After
	public void tearDown() throws Exception {
		if (em != null) {
			em.close();
		}
	}

    @Test
	public void testHHH6326() {

        // HQL QUERY
        final TypedQuery<Employee> hqlQuery = em.createQuery("from Employee where age=:age", Employee.class);
        hqlQuery.setParameter("age", null);
        hqlQuery.getResultList();


        // SQL QUERY
        final Query sqlQuery = em.createNativeQuery("SELECT * FROM employee WHERE age=?");
        sqlQuery.setParameter(1, null);
        sqlQuery.getResultList();
	}

}
